curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/batch/write \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"channel": "EMAIL",
"statusState": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Atualize o status de assinatura de um conjunto de contatos.
curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/batch/write \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"channel": "EMAIL",
"statusState": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Produtos suportados
Escopos Necessários
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
A data e a hora em que a operação em lote foi concluída.
Uma série contendo os resultados da operação em lote.
Show child attributes
A data e a hora em que a operação em lote começou.
O status atual da operação em lote, que pode ser PENDENTE, PROCESSANDO, CANCELADO ou CONCLUÍDO.
CANCELED, COMPLETE, PENDING, PROCESSING Uma série de objetos de erro detalhando quaisquer problemas encontrados.
Show child attributes
URLs com links para recursos ou documentação relacionados.
Show child attributes
O número de erros encontrados durante a operação em lote.
A data e a hora em que a solicitação foi feita.